#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 rank2classes
version:              1.5.3.1
visibility:           public
id:                   rank2classes-1.5.3.1-3y2ZN32Fbi56FWvfJHV84G
key:                  rank2classes-1.5.3.1-3y2ZN32Fbi56FWvfJHV84G
license:              BSD-3-Clause
copyright:            (c) 2017 Mario Blažević
maintainer:           Mario Blažević <blamario@protonmail.com>
author:               Mario Blažević
homepage:             https://github.com/blamario/grampa/tree/master/rank2classes
synopsis:
    standard type constructor class hierarchy, only with methods of rank 2 types

description:
    A mirror image of the standard type constructor class hierarchy rooted in '\''Functor'\'', except with methods of rank 2
    types and class instances of kind @(k->*)->*@. The classes enable generic handling of heterogenously typed data
    structures and other neat tricks.

category:             Control, Data, Generics
abi:                  879a327d4df8320d73736ae31e46e487
exposed:              True
exposed-modules:      Rank2 Rank2.TH
import-dirs:          /usr/lib/ghc-9.2.8/site-local/rank2classes-1.5.3.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/rank2classes-1.5.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-rank2classes
hs-libraries:         HSrank2classes-1.5.3.1-3y2ZN32Fbi56FWvfJHV84G
depends:
    base-4.16.4.0 data-functor-logistic-0.0-9ucye9hPBzuG6fSGU1wiHe
    distributive-0.6.2.1-EG4XyhFwjweFnyROGu6E0S
    template-haskell-2.18.0.0 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-rank2classes/html/rank2classes.haddock

haddock-html:         /usr/share/doc/haskell-rank2classes/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

